[Flame][Homescreen]Bookmark icon will over the title bar in smart collection.

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
4 years ago
3 years ago

People

(Reporter: xiongfuchao, Unassigned)

Tracking

({polish})

unspecified
ARM
Gonk (Firefox OS)
polish

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

Attachments

(2 attachments)

(Reporter)

Description

4 years ago
Created attachment 8587328 [details]
video_0727.mp4

[1.Description]:
[Flame v2.2 & v3.0][Homescreen]When user try to move an bookmark in edit mode of smart collection, they will find app icon will over the title bar.
Found time:07:27
See attachment:Locat_0727.txt & video_0727.mp4

[2.Testing Steps]: 
1.Open a smart collection, such as "Social".
2.Long tap a bookmark icon which under line.
3.Select Add to top of collection.
4.Repeat 2~3 until at least 2 rows icon above the line.
5.Slide up screen.
6.Long tap a bootmark witch above line to invoke edit mode.

[3.Expected Result]: 
6.Title bar shouldn't be cover.

[4.Actual Result]: 
6.Bookmark icon will over the title bar.

[5.Reproduction build]: 
Flame 2.2 version(Affected):
Build ID               20150401002624

Gaia Revision          8b3086ad3963f1707e2bee9094baccafffe161c4

Gaia Date              2015-03-31 21:48:06

Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/20b67213a047

Gecko Version          37.0

Device Name            flame

Firmware(Release)      4.4.2

Firmware(Incremental)  eng.cltbld.20150401.042225

FirmwareDate           Wed Apr  1 04:22:36 EDT 2015

Bootloader             L1TC000118D0

Flame 3.0 version(Affected):
Build ID               20150401160204
Gaia Revision          4bb3a933bd805e8df1e11827cb247754c3565b0b
Gaia Date              2015-04-01 02:06:11
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e044f4d172e2
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150401.193001
Firmware Date          Wed Apr  1 19:30:12 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Comment 1

4 years ago
Created attachment 8587329 [details]
logcat_0727.txt
(Reporter)

Updated

4 years ago
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Keywords: polish
(Reporter)

Comment 2

3 years ago
Design is changed on latest Aries KK 2.5/v2.6 and Flame KK v2.5/v2.6 build,we can't use smart collection anymore.
Actual results: smartcollection function is removed.
Reproduce rate: 0/10

Device: Aries KK v2.6 master( Unffected )
Build ID               20151112014800
Gaia Revision          fdb66f75963fa9255f707af87f405d54892e5e7d
Gaia Date              2015-11-11 17:17:32
Gecko Revision         https://hg.mozilla.org/integration/mozilla-inbound/rev/a8ed7dd831d1969a5a1a8636e63bd93d6aeaf94a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151112.011957
Firmware Date          Thu Nov 12 01:20:05 UTC 2015
Bootloader             s1

Device: Aries KK v2.5( Unffected )
Build ID               20151110094357
Gaia Revision          07baf613699fa6225359c7f04825c5caeb71d424
Gaia Date              2015-11-09 21:32:50
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/e14287b00a514a15418dfaa89287030c588ad19d
Gecko Version          44.0a2
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151110.090331
Firmware Date          Tue Nov 10 09:03:39 UTC 2015
Bootloader             s1

Device: Flame KK v2.6 master 512mb( Unffected )
Build ID               20151111150236
Gaia Revision          22f8023b112dfae83531b0a075ab9eb9a5444dfa
Gaia Date              2015-11-10 23:35:38
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/84a7cf29f4f14c9b359db2f7f19c0abd6a8e178e
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151111.182640
Firmware Date          Wed Nov 11 18:26:52 EST 2015
Bootloader             L1TC000118D0

Device: Flame KK v2.5  512mb( Unffected )
Build ID               20151109004552
Gaia Revision          cf646c52bb947af28329b0a100df91d1b1f2a907
Gaia Date              2015-11-09 02:55:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/4eafef5b80f8985c94c4a067f130d37513e1a581
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151109.041411
Firmware Date          Mon Nov  9 04:14:26 EST 2015
Bootloader             L1TC000118D0
Status: NEW → RESOLVED
Last Resolved: 3 years ago
QA Whiteboard: [MGSEI-Triage+]
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.